From d3f43ead38eac2a1ca2542b73c2e8615bc1067f5 Mon Sep 17 00:00:00 2001
From: Treeve Jelbert <treeve@sourcemage.org>
Date: Sat, 5 Jan 2019 21:34:09 +0100
Subject: [PATCH] build with qt5

---
 tuxboot.cpp |  4 ++--
 tuxboot.h   | 16 ++++++++++++----
 tuxboot.pro | 13 ++++++-------
 3 files changed, 20 insertions(+), 13 deletions(-)

diff --git a/tuxboot.cpp b/tuxboot.cpp
index 896246b..18bd4d4 100644
--- a/tuxboot.cpp
+++ b/tuxboot.cpp
@@ -2897,11 +2897,11 @@ int tuxboot::letterToNumber(QChar lettertoconvert)
 {
 	if (lettertoconvert.isLower())
 	{
-		return static_cast<int>(lettertoconvert.toAscii() - 'a');
+		return static_cast<int>(lettertoconvert.toLatin1() - 'a');
 	}
 	if (lettertoconvert.isUpper())
 	{
-		return static_cast<int>(lettertoconvert.toAscii() - 'A');
+		return static_cast<int>(lettertoconvert.toLatin1() - 'A');
 	}
 	else
 	{
diff --git a/tuxboot.h b/tuxboot.h
index 1cdc958..cb327b7 100644
--- a/tuxboot.h
+++ b/tuxboot.h
@@ -10,12 +10,20 @@ This program is distributed in the hope that it will be useful, but WITHOUT ANY
 #ifndef tuxboot_H
 #define tuxboot_H
 
-#include <QtCore>
-#include <QtGui>
-#include <QtNetwork>
+#include <QMessageBox>
 #include <time.h>
+#include <QDir>
 #include <QFile>
-//#include <QtDebug>
+#include <QFileDialog>
+#include <QProcess>
+#include <QProgressDialog>
+#include <QSettings>
+#include <QThread>
+#include <QTextStream>
+#include <QTranslator>
+
+#include <QtFtp>
+#include <QtHttp>
 
 #include "ui_tuxboot.h"
 #include "version.h"
diff --git a/tuxboot.pro b/tuxboot.pro
index 8ff20d0..5dd9001 100644
--- a/tuxboot.pro
+++ b/tuxboot.pro
@@ -8,7 +8,7 @@ QMAKE_LFLAGS_RELEASE += -Wl,-z,relro
 }
 DEPENDPATH += .
 INCLUDEPATH += .
-CONFIG += release static
+CONFIG += release shared
 HEADERS += tuxboot.h
 FORMS += tuxboot.ui
 SOURCES += main.cpp \
@@ -16,8 +16,11 @@ SOURCES += main.cpp \
     distrolst.cpp \
     distrover.cpp
 QT += core \
+    ftp \
+    http \
     gui \
-    network
+    network \
+    widgets
 TRANSLATIONS += i18n/tuxboot.ts \
     i18n/tuxboot_am.ts \
     i18n/tuxboot_ar.ts \
@@ -62,8 +65,4 @@ TRANSLATIONS += i18n/tuxboot.ts \
     i18n/tuxboot_sl.ts \
     i18n/tuxboot_sv.ts \
     i18n/tuxboot_pl.ts
-RESOURCES += tuxboot.qrc
-win32 {
-    RESOURCES += tuxboot-windows.qrc
-    RC_FILE = embedfiles/tuxboot-win.rc
-}
+DEFINES += NOSTATIC
-- 
2.20.1

